Subject: Re: linux-next: build failure after merge of the akpm tree

From: Andrew Morton <[email-masked]>
Date: Fri, 7 Mar 2014 13:08:46 -0800

On Fri, 7 Mar 2014 11:05:49 -0600 (CST) Christoph Lameter <[email-masked]> wrote:

> On Thu, 6 Mar 2014, Andrew Morton wrote:
> 
> > > So, by "the whole series" do you mean just/all these:
> > >
> > > percpu-add-raw_cpu_ops.patch
> > > ...
> > > sh-replace-__get_cpu_var-uses.patch
> >
> > Yep.  Commented out in http://ozlabs.org/~akpm/mmots/series
> >
> > > If so, I will remove them from my tree today (if you don't get around to
> > > a new mmotm before then).
> >
> > Cool.
> 
> I need at least the initial 5 patches that establish the framework in
> -next and do the debugging in order to make further progress on this one.

I'll re-enable

percpu-add-raw_cpu_ops.patch
mm-use-raw_cpu-ops-for-determining-current-numa-node.patch
modules-use-raw_cpu_write-for-initialization-of-per-cpu-refcount.patch
net-replace-__this_cpu_inc-in-routec-with-raw_cpu_inc.patch
percpu-add-preemption-checks-to-__this_cpu-ops.patch

OK?

> The rest are bits and pieces that may require some detail work.

It looks like they will need quite a lot of work I'm afraid.  The
automated sweep wasn't very successful but it did demonstrate that
there are nasties and gremlins all over the place.